from lunduke.client import DiscourseClient


def main():

    client = DiscourseClient()
    try:
        draft_data = {
                "title": "Simple forum post",
                "raw": "Simple forum post content"
            }

        response = client.post('/posts.json', data=draft_data)
        print(f"Draft created successfully: {response}")

    except Exception as e:
        print(f"Error creating draft: {e}")


if __name__ == "__main__":
    main()